import { OrganizationCard } from "@/super-admin/components/organizations/OrganizationDetail";
import { useOrganizationDetail, useOrganizations } from "@/super-admin/hooks/useOrganizations";
import { useParams } from "react-router-dom";

type OrgRouteParams = { id: string };

const OrganizationDetailPage = () => {
 const { id } = useParams<OrgRouteParams>();
 if (!id) {
   return <div className="text-gray-900 dark:text-gray-100">Organization ID is missing</div>; // or navigate away
 }



  return (
    <OrganizationCard
      id={id}
    />
  );
};

export default OrganizationDetailPage;
